Skip to content

Return compatible initial field mapping catalog for a canonical board target definition.

GET
/api/workspace/admin/boards/boards/{boardId}/target-definitions/{boardTargetDefinitionId}/initial-field-mappings/catalog
curl --request GET \
--url https://example.com/api/workspace/admin/boards/boards/example/target-definitions/example/initial-field-mappings/catalog
  • None
boardId
required
string
boardTargetDefinitionId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Catalog of fields that can participate in initial board target mappings.

object
BoardId
string
nullable
BoardTargetDefinitionId
string
nullable
SourceFields
Array<object>
nullable

Source Entity Instance field available for initial board target mappings.

object
FieldKey
string
nullable
DisplayName
string
nullable
FieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
DestinationFields
Array<object>
nullable

Board-owned destination field available for initial board target mappings.

object
DestinationKind
integer format: int32
Allowed values: 0 1 2 3
FieldKey
string
nullable
DisplayName
string
nullable
FieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"SourceFields": [
{
"FieldType": 0
}
],
"DestinationFields": [
{
"DestinationKind": 0,
"FieldType": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Catalog of fields that can participate in initial board target mappings.

object
BoardId
string
nullable
BoardTargetDefinitionId
string
nullable
SourceFields
Array<object>
nullable

Source Entity Instance field available for initial board target mappings.

object
FieldKey
string
nullable
DisplayName
string
nullable
FieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
DestinationFields
Array<object>
nullable

Board-owned destination field available for initial board target mappings.

object
DestinationKind
integer format: int32
Allowed values: 0 1 2 3
FieldKey
string
nullable
DisplayName
string
nullable
FieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"SourceFields": [
{
"FieldType": 0
}
],
"DestinationFields": [
{
"DestinationKind": 0,
"FieldType": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}